Bug 11547 - rpm --help or man page doesn't mention '--define'
Summary: rpm --help or man page doesn't mention '--define'
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-21 09:04 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:03:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-05-21 09:04:52 UTC
New kerberos detection in pine spec file doesn't seem to work for me.

Granted, my RPM is from RH62, but I saw no notion of this in rpm-3.1.

I have *no* kerberos packages, and 'rpm -ba pine.spec' just blurts
out it wants krb5-devel.

Spec file line:
%{!?nokerberos:BuildPrereq: krb5-devel}

looked a bit peculiar, considering nokerberos check hasn't been defined
anywhere in the spec file.

Or is there something I'm missing here?

Comment 1 Trond Eivind Glomsrxd 2000-05-22 13:37:59 UTC
Use "--define nokerberos=1" as a flag to rpm when rebuilding the spec file

Comment 2 Pekka Savola 2000-05-22 13:43:59 UTC
rpm manpage or 'rpm --help' doesn't mention --define parameter at all.

Comment 3 Trond Eivind Glomsrxd 2000-05-22 14:03:59 UTC
You can find some information on it in /usr/doc/rpm-3.0.4

Comment 4 Jeff Johnson 2000-07-10 19:25:47 UTC
Here's what  rpm-4.0 rpm --help sez':

...
   All modes support the following arguments:
    --define '<name> <body>' - define macro <name> with value <body>
    --eval '<name>+'       - print the expansion of macro <name> to stdout
...




Comment 5 Pekka Savola 2000-07-10 19:57:43 UTC
Hmm, am I mistaken, or should that be

--define '<name>=<body>' ?  (as in --define 'nokerberos=1').

RPM 4.0 tarball man page didn't contain this (yet).  May I suggest that a short
example like that nokerberos will be added there so that the actual use will be
comprehensible?




Note You need to log in before you can comment on or make changes to this bug.